API Doc
Version
Version
  • v1
  • v2
Languages
Languages
  • English
  • 简体中文
Version
Version
  • v1
  • v2
Languages
Languages
  • English
  • 简体中文
  1. 3.2 Payment - dynamic order
  • Unified API Request Param
  • Unified Async Notification Param
  • Open API Common Code List
  • 1. Account
    • Country Code
    • 1.1 Balance Inquiry
      POST
    • 1.2 Report Download
      POST
  • 2. Philippines
    • 2.1 Payout
      • Payout Channel List
      • 2.1.1 Create Payout
      • 2.1.2 Check Payment Status
      • 2.1.3 Payout Notification
    • 2.2 Payment - dynamic order
      • Philippines Payment Channel List
      • 2.2.1 Create Payment
      • 2.2.2 Check Payment Status
      • 2.2.3 Payment Notification
    • 2.3 Payment - static order
      • Philippines Payment Channel List
      • 2.3.1 Create Payment
      • 2.3.2 Payment Code Detail
      • 2.3.3 Query Static Payment List
      • 2.3.4 Payment Notification
      • 2.3.5 PaymentCode Cancel
  • 3. Indonesia
    • 3.1 Payout
      • Disburse Channel List
      • 3.1.1 Create Payout
      • 3.1.2 Check Payout Status
      • 3.1.3 Payout Notification
    • 3.2 Payment - dynamic order
      • Indonesia Payment Channel List
      • 3.2.1 Create Payment
        POST
      • 3.2.2 Check Payment Status
        POST
      • 3.2.3 Payment Notification
        POST
    • 3.3 Payment - static order
      • Channel List
      • 3.3.1 Create Payment
      • 3.3.2 Payment Code Detail
      • 3.3.3 Query Static Payment List
      • 3.3.4 Payment Notification
  • 4. Malaysia
    • 4.1 Payout
      • Payout Channel List
      • 4.1.1 Create Payout
      • 4.1.2 Check Payout Status
      • 4.1.3 Payout Notification
    • 4.2 Payment
      • Malaysia Payment Channel List
      • 4.2.1 Create Payment
      • 4.2.2 Check Payment Status
      • 4.2.3 Payment Notification
  • 5. Thailand
    • 5.1 Payout
      • Payout Channel List
      • 5.1.1 Create Payout
      • 5.1.2 Check Payout Status
      • 5.1.3 Payout Notification
    • 5.2 Payment - dynamic order
      • Thailand Payment Channel List
      • Wechat Webpage Authorization Reference
      • Wechat Calls Payment Reference
      • 5.2.1 Create Payment
      • 5.2.2 Check Payment Status
      • 5.2.3 Payment Notification
    • 5.3 Payment - static order
      • Channel List
      • 5.3.1 Create Payment
      • 5.3.2 Payment Code Detail
      • 5.3.3 Query Static Payment List
      • 5.3.4 Payment Notification
  • 6. Russia
    • 6.1 Payment
      • Russia Payment Channel List
      • 6.1.1 Create Payment
      • 6.1.2 Check Payment Status
      • 6.1.3 Payment Notification
  • 7. Refund
    • Refund Support Channel List
    • Refund Status Enum
    • 7.1 Refund
      POST
    • 7.2 Get Refund Payments
      POST
    • 7.3 Refund Notification
      POST
  1. 3.2 Payment - dynamic order

3.2.3 Payment Notification

POST
/xxx
This interface should be implemented by merchant. The function is that when a payment transaction has been completed, Platform will call this interface to notify the merchant of the payment transaction details.

Request

Body Params application/json

Example
{
    "sign": "V6HQvEZaLF5MSH8TcOVdqPj7fLyvdrAOPm74rW9svpclBIVPlokyiZqPXl09/yAOS8PNnganUtvRvie9MAxJwtYOkDMXxxi4gWjPl3D9L6W4fnVeC28HjhZhWrSgwlecJG6SuHM3odTHAxr5WQUuOxsYFtx+c74Ew+ZzuICCH3dA4+uzNEbDyB8QmBF94nM1LFhDId/VEMxdbj8xKJuOMiSBgwAWaFElm5YCfgmrZpU/qLnuGX2hNxQAMKY2GAw+4VpphYpHG8Xak5+PlqFWKp8mKJ9DgyphVf0ACGpcjOQp0S1V+S1HMMVU0AkW6c8n0weOMu3l6k6cPHsjEe/jSQ==",
    "param": "{\"eventName\":\"order.payment.success\",\"amount\":50000,\"channelCode\":\"ID_BCA_VA\",\"mchOrderId\":\"Platform653350151938813\",\"createTime\":\"2023-01-01 09:38:06\",\"remark\":\"test payment\",\"sign\":\"xxxxxxxxxxxxx\",\"returnTime\":\"2023-01-01 09:40:06\",\"transactionId\":\"C1032653961085706055\",\"transactionStatus\":\"COMPLETED\"}"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/xxx' \
--header 'Content-Type: application/json' \
--data-raw '{
    "sign": "V6HQvEZaLF5MSH8TcOVdqPj7fLyvdrAOPm74rW9svpclBIVPlokyiZqPXl09/yAOS8PNnganUtvRvie9MAxJwtYOkDMXxxi4gWjPl3D9L6W4fnVeC28HjhZhWrSgwlecJG6SuHM3odTHAxr5WQUuOxsYFtx+c74Ew+ZzuICCH3dA4+uzNEbDyB8QmBF94nM1LFhDId/VEMxdbj8xKJuOMiSBgwAWaFElm5YCfgmrZpU/qLnuGX2hNxQAMKY2GAw+4VpphYpHG8Xak5+PlqFWKp8mKJ9DgyphVf0ACGpcjOQp0S1V+S1HMMVU0AkW6c8n0weOMu3l6k6cPHsjEe/jSQ==",
    "param": "{\"eventName\":\"order.payment.success\",\"amount\":50000,\"channelCode\":\"ID_BCA_VA\",\"mchOrderId\":\"Platform653350151938813\",\"createTime\":\"2023-01-01 09:38:06\",\"remark\":\"test payment\",\"sign\":\"xxxxxxxxxxxxx\",\"returnTime\":\"2023-01-01 09:40:06\",\"transactionId\":\"C1032653961085706055\",\"transactionStatus\":\"COMPLETED\"}"
}'

Responses

🟢200成功
application/json
Body

Example
{
    "code": 10000,
    "message": "Success"
}
Previous
3.2.2 Check Payment Status
Next
Channel List
Built with